<?xml version="1.0" encoding="ISO-8859-1"?>
<cookbook xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">

  <al:recipe name='mail-sensor' restart='yes'>
    <al:step target='Basic.NOP' type='action' id='s0'/>
    <al:step target='Email.read-new-mails' type='action' id='s1'/>
    <al:transition id='t0'>
      <al:in idref='s0'/>
      <al:out idref='s1'/>
      <!-- check mbox every minute -->
      <al:time seconds='0'/>
    </al:transition>
  </al:recipe>

  <al:recipe name='chat-notification' restart='yes'>
    <al:step target='Basic.NOP' type='action' id='s0'/>
    <al:step target='Chat.email2msg' type='action' id='s1'/>
    <al:transition id='t0'>
      <al:in idref='s0'/>
      <al:out idref='s1'/>
      <al:condition use="yes">
        <al:match>isinstance(elmt, EmailElement)</al:match>
      </al:condition>
    </al:transition>
  </al:recipe>

</cookbook>
